#include <tads.h>

/*
 * An XTads test game.
 * Focus is on pending newline behaviour for grid banner.
 */
main(args)
{
	local b0 = nil;
	local b1;
    
    "A banner test game for XTads.";

    //------------

    "\bGrid banner, below and 50% of main area:";
    b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeTextGrid, BannerAlignBottom,
                       50, BannerSizePercent,
                       0);
    bannerSetScreenColor(b1, ColorRGB(255, 255, 0));
    bannerSetTextColor(b1, ColorRGB(255, 0, 0), ColorTransparent);
    inputKey();

	 bannerSay(b1, '1,1\n');
    inputKey();

	 bannerSay(b1, '2,1\n');
    inputKey();

	 bannerSay(b1, '3,1\n   4,4');
    inputKey();

    bannerGoTo(b1, 6, 1);
	 bannerSay(b1, '6,1\n');
    inputKey();

    bannerGoTo(b1, 7, 1);
	 bannerSay(b1, '7,1\n');
    inputKey();
	 
    bannerGoTo(b1, 9, 1);
	 bannerSay(b1, '9,1\n \n \n12,1?\n');
	 bannerSay(b1, '13,1?');
    inputKey();
    
    //------------
    
    "\bPress another key to exit...\n";
    inputKey();
}
